﻿// Copyright 1998-2019 Epic Games, Inc. All Rights Reserved.

using UnrealBuildTool;
using System;
using System.IO;

public class StoveSDKPlugin : ModuleRules
{
    public StoveSDKPlugin(ReadOnlyTargetRules Target) : base(Target)
    {
        PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;
        
        PublicIncludePaths.AddRange(
            new string[] {
                // ... add public include paths required here ...
                
            }
            );
                
        
        PrivateIncludePaths.AddRange(
            new string[] {
                // ... add other private include paths required here ...
               
            }
            );
            
        
        PublicDependencyModuleNames.AddRange(
            new string[]
            {
                // ... add other public dependencies that you statically link with here ...
                "Core",
                "StoveSDKPluginLibrary",
                "Projects",
                "UMG",
                "Slate",
                "SlateCore",
                "HTTP"
            }
            );
            
        
        PrivateDependencyModuleNames.AddRange(
            new string[]
            {
                // ... add private dependencies that you statically link with here ...
                "Core",
                "StoveSDKPluginLibrary",
                "CoreUObject",
                "Engine",
                "InputCore",
                "ImageWrapper",
                "RenderCore"
                //"UnrealEd"
            }
            );
        
        
        DynamicallyLoadedModuleNames.AddRange(
            new string[]
            {
                // ... add any modules that your module loads dynamically here ...
            }
            );

        // dll copy...
//         if (Target.Platform == UnrealTargetPlatform.Win32)
//         {
//             RuntimeDependencies.Add("$(TargetOutputDir)/vcruntime140.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/vcruntime140.dll"));
//             RuntimeDependencies.Add("$(TargetOutputDir)/StovePCSDK.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/StovePCSDK.dll"));
//             RuntimeDependencies.Add("$(TargetOutputDir)/sgup_api.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/sgup_api.dll"));
//             RuntimeDependencies.Add("$(TargetOutputDir)/msvcr100.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/msvcr100.dll"));
//             RuntimeDependencies.Add("$(TargetOutputDir)/msvcp140.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/msvcp140.dll"));
//             RuntimeDependencies.Add("$(TargetOutputDir)/msvcp100.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/msvcp100.dll"));
//             RuntimeDependencies.Add("$(TargetOutputDir)/concrt140.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/Win32/Release/concrt140.dll"));
//         }
        if (Target.Platform == UnrealTargetPlatform.Win64)
        {
            RuntimeDependencies.Add("$(TargetOutputDir)/vcruntime140.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/vcruntime140.dll"));
            RuntimeDependencies.Add("$(TargetOutputDir)/StovePCSDK.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/StovePCSDK.dll"));
            RuntimeDependencies.Add("$(TargetOutputDir)/sgup_api64.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/sgup_api64.dll"));
            RuntimeDependencies.Add("$(TargetOutputDir)/msvcr100.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/msvcr100.dll"));
            RuntimeDependencies.Add("$(TargetOutputDir)/msvcp140.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/msvcp140.dll"));
            RuntimeDependencies.Add("$(TargetOutputDir)/msvcp100.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/msvcp100.dll"));
            RuntimeDependencies.Add("$(TargetOutputDir)/concrt140.dll", Path.Combine(PluginDirectory, "Binaries/ThirdParty/StoveSDKPluginLibrary/bin/x64/Release/concrt140.dll"));
        }
    }
}
